Package org.apache.solr.client.solrj.io.eval

## Class ScalarSubtractEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.RecursiveEvaluator
  - - org.apache.solr.client.solrj.io.eval.RecursiveObjectEvaluator
    - - org.apache.solr.client.solrj.io.eval.ScalarAddEvaluator
      - - org.apache.solr.client.solrj.io.eval.ScalarSubtractEvaluator

All Implemented Interfaces:
  `Serializable`, `StreamEvaluator`, `TwoValueWorker`, `ValueWorker`, `Expressible`

    public class ScalarSubtractEvaluator
    extends ScalarAddEvaluator
    implements TwoValueWorker

See Also:
  Serialized Form

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`constructingFactory, containedEvaluators, nodeId, streamContext`

### Constructor Summary

Constructors
`ScalarSubtractEvaluator​(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected double` `operate​(double value, double d)`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.ScalarAddEvaluator

`doWork`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`evaluate, getStreamContext, normalizeInputType, normalizeOutputType, recursivelyEvaluate, setStreamContext, toExplanation, toExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluateOverContext`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.TwoValueWorker

`doWork, doWork`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### ScalarSubtractEvaluator

    public ScalarSubtractEvaluator​(StreamExpression expression,
                                   StreamFactory factory)
                            throws IOException

Throws:
  `IOException`

### Method Detail

#### operate

    protected double operate​(double value,
                             double d)

Overrides:
  `operate` in class `ScalarAddEvaluator`